#!/bin/sh
set -e
mkdir --parents vendor
phpab \
              --tolerant \
              --output vendor/autoload.php \
              --template debian/autoload.tests.php.tpl \
              --exclude tests/Composer/Test/Plugin/Fixtures/plugin-v9/Installer/Plugin.php \
              --exclude tests/Composer/Test/Plugin/Fixtures/plugin-v2/Installer/Plugin2.php \
              --exclude tests/Composer/Test/Plugin/Fixtures/plugin-v3/Installer/Plugin2.php \
              --exclude tests/Composer/Test/Autoload/Fixtures/autoload_static_functions_with_removed_include_paths_and_autolad_files.php \
              --exclude tests/Composer/Test/Autoload/Fixtures/autoload_static_functions_with_include_paths.php \
              --exclude tests/Composer/Test/Autoload/Fixtures/autoload_real_functions_with_include_paths.php \
              --exclude tests/Composer/Test/Autoload/Fixtures/autoload_real_functions_with_removed_include_paths_and_autolad_files.php \
              --exclude tests/Composer/Test/Fixtures/functional/plugin-autoloading-only-loads-dependencies/plugin-b/PluginB.php \
              --exclude tests/Composer/Test/Fixtures/functional/installed-versions/plugin-b/PluginB.php \
              --exclude tests/Composer/Test/Fixtures/functional/installed-versions2/vendor/plugin/b/PluginB.php \
              --exclude tests/Composer/Test/Fixtures/functional/installed-versions2/plugin-b/PluginB.php \
              --exclude tests/Composer/Test/Fixtures/functional/plugin-autoloading-only-loads-dependencies/plugin-a/PluginA.php \
              --exclude tests/Composer/Test/Fixtures/functional/installed-versions/plugin-a/PluginA.php \
              --exclude tests/Composer/Test/Fixtures/functional/installed-versions2/vendor/plugin/a/PluginA.php \
              --exclude tests/Composer/Test/Fixtures/functional/installed-versions2/plugin-a/PluginA.php \
              --exclude tests/Composer/Test/Fixtures/functional/plugin-autoloading-only-loads-dependencies/vendor/composer/ClassLoader.php \
              --exclude tests/Composer/Test/Fixtures/functional/installed-versions2/vendor/composer/ClassLoader.php \
              --exclude tests/Composer/Test/Fixtures/functional/plugin-autoloading-only-loads-dependencies/vendor/composer/InstalledVersions.php \
              --exclude tests/Composer/Test/Fixtures/functional/installed-versions2/vendor/composer/InstalledVersions.php \
              --exclude tests/Composer/Test/Fixtures/functional/installed-versions/Hooks.php \
              --exclude tests/Composer/Test/Fixtures/functional/installed-versions2/Hooks.php \
              tests/Composer/Test
phpunit --exclude-group remote,git
